import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:hmg_patient_app/new_ui/otp/otp_validation_bootmsheet_widget.dart';
import 'package:hmg_patient_app/uitl/font_utils.dart';
import 'package:hmg_patient_app/uitl/translations_delegate_base.dart';
import 'package:hmg_patient_app/uitl/utils.dart';
import 'package:hmg_patient_app/widgets/buttons/defaultButton.dart';

class QuickLoginBottomSheet extends StatefulWidget {
  final VoidCallback onPressed;
  final bool isDone;

  const QuickLoginBottomSheet({required this.onPressed, this.isDone = false});

  @override
  _QuickLoginBottomSheet createState() => _QuickLoginBottomSheet();
}

class _QuickLoginBottomSheet extends State<QuickLoginBottomSheet> {
  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: const BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.only(
          topLeft: Radius.circular(24),
          topRight: Radius.circular(24),
        ),
      ),
      padding: const EdgeInsets.all(24),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          widget.isDone
              ? Column(
                  children: [
                    Row(
                      mainAxisAlignment: MainAxisAlignment.end,
                      children: [
                        InkWell(
                            onTap: () {
                              Navigator.pop(context, true);
                            },
                            child: SvgPicture.asset("assets/images/svg/cross-circle.svg", width: 24, height: 24)),
                      ],
                    ),
                    Utils.showLottie(context: context, assetPath: 'assets/animations/lottie/checkmark.json', width: 120, height: 120, repeat: true),
                    Text(
                      TranslationBase.of(context).allSet,
                      textAlign: TextAlign.center,
                      style: context.dynamicTextStyle(
                        fontSize: 16,
                        fontWeight: FontWeight.w500,
                        color: Colors.black,
                      ),
                    ),
                  ],
                )
              : Column(
                  mainAxisSize: MainAxisSize.min,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Image.asset(
                      "assets/images/lock-icon.png",
                      height: 101,
                    ),
                    const SizedBox(height: 10),
                    Text(
                      TranslationBase.of(context).enableQuickLogin,
                      style: context.dynamicTextStyle(
                        fontSize: 26,
                        fontWeight: FontWeight.bold,
                        color: Colors.black,
                      ),
                    ),
                    const SizedBox(height: 5),
                    // Description
                    Text(
                      TranslationBase.of(context).enableMsg,
                      style: context.dynamicTextStyle(
                        fontSize: 16,
                        color: Color(0xFF666666),
                        height: 1.5,
                      ),
                    ),
                    const SizedBox(height: 24),
                    // Buttons
                    Row(
                      mainAxisAlignment: MainAxisAlignment.end,
                      children: [
                        Expanded(
                            child: CustomButton(
                          text: TranslationBase.of(context).enableQuickLogin,
                          onPressed: () {
                            widget.onPressed();
                          },
                          backgroundColor: Color(0xffED1C2B),
                          borderColor: Color(0xffED1C2B),
                          textColor: Colors.white,
                          icon: "assets/images/svg/apple-finder.svg",
                        )),
                      ],
                    ),
                    SizedBox(
                      height: 16,
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.end,
                      children: [
                        Expanded(
                            child: CustomButton(
                          text: TranslationBase.of(context).notNow,
                          onPressed: () {
                            Navigator.pop(context, true);
                          },
                          backgroundColor: Color(0xffFEE9EA),
                          borderColor: Color(0xffFEE9EA),
                          textColor: Colors.red,
                          // icon: "assets/images/svg/apple-finder.svg",
                        )),
                      ],
                    ),
                  ],
                )
        ],
      ),
    );
  }
}
